[arch-commits] Commit in prelink/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Sun Dec 13 17:06:38 EST 2009


    Date: Sunday, December 13, 2009 @ 17:06:38
  Author: giovanni
Revision: 61249

Merged revisions 61247 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/prelink/trunk

........
  r61247 | giovanni | 2009-12-13 14:05:11 -0800 (dom, 13 dic 2009) | 2 lines
  
  upgpkg: prelink 20091104-1
      upstream release
........

Modified:
  prelink/repos/extra-x86_64/	(properties)
  prelink/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)


Property changes on: prelink/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /prelink/trunk:1-35765
   + /prelink/trunk:1-61248

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-12-13 22:05:47 UTC (rev 61248)
+++ extra-x86_64/PKGBUILD	2009-12-13 22:06:38 UTC (rev 61249)
@@ -3,24 +3,25 @@
 # Contributor: Rouslan Solomakhin <rouslan at localnet.com>
 
 pkgname=prelink
-pkgver=20060213
-pkgrel=2
+pkgver=20091104
+pkgrel=1
 pkgdesc="ELF prelinking utility to speed up dynamic linking."
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://people.redhat.com/jakub/prelink/"
 license=('GPL')
-depends=(libelf)
+depends=('libelf')
 backup=(etc/prelink.conf)
-source=($url/$pkgname-$pkgver.tar.bz2 prelink.conf)
-md5sums=('a3ee7d324ecdf2f1a7b8b95c01ee75fa' '0793ed49e9b31c125cba4d936c333cf6')
+source=(http://people.redhat.com/jakub/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+        prelink.conf)
+md5sums=('ed9a1ba2960bad7e266497e308f863ae'
+         '0793ed49e9b31c125cba4d936c333cf6')
 
+build() {
+  cd "${srcdir}/${pkgname}"
 
-build() {
-  cd $srcdir/$pkgname
-  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+  ./configure --prefix=/usr \
+              --mandir=/usr/share/man || return 1
   make || return 1
   make DESTDIR=$pkgdir install || return 1
-  install -D -m 0644 $srcdir/prelink.conf \
-      $pkgdir/etc/prelink.conf
+  install -D -m 0644 ${srcdir}/prelink.conf "${pkgdir}/etc/prelink.conf" || return 1
 }
-# vim: ts=2 sw=2 et ft=sh



More information about the arch-commits mailing list